org.apache.olingo.server.api.uri.queryoption.apply

## Enum BottomTop.Method

- java.lang.Object
- - java.lang.Enum<BottomTop.Method>
  - - org.apache.olingo.server.api.uri.queryoption.apply.BottomTop.Method

- All Implemented Interfaces:
    Serializable, Comparable<BottomTop.Method>
  Enclosing interface:
    BottomTop

      public static enum BottomTop.Method
      extends Enum<BottomTop.Method>

  Pre-defined method for partial aggregration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM_COUNT`
    `BOTTOM_PERCENT`
    `BOTTOM_SUM`
    `TOP_COUNT`
    `TOP_PERCENT`
    `TOP_SUM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BottomTop.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BottomTop.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOTTOM_COUNT

          public static final BottomTop.Method BOTTOM_COUNT

    - #### BOTTOM_PERCENT

          public static final BottomTop.Method BOTTOM_PERCENT

    - #### BOTTOM_SUM

          public static final BottomTop.Method BOTTOM_SUM

    - #### TOP_COUNT

          public static final BottomTop.Method TOP_COUNT

    - #### TOP_PERCENT

          public static final BottomTop.Method TOP_PERCENT

    - #### TOP_SUM

          public static final BottomTop.Method TOP_SUM

  - ### Method Detail

    - #### values

          public static BottomTop.Method[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BottomTop.Method c : BottomTop.Method.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BottomTop.Method valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.